/*------------- #VARIABLES --------------*/
/*------------- #BBPress --------------*/
body.olympus-theme div.bbp-template-notice.info {
	background-color: var(--white-color);
	border-color: var(--ol-border-color);
}

body.olympus-theme div.bbp-template-notice p {
	padding: 10px;
}

body.olympus-theme #bbpress-forums p.bbp-topic-meta span {
	overflow: hidden;
	text-overflow: ellipsis;
	display: inline-block;
}

body.olympus-theme #bbpress-forums p.bbp-topic-meta span .bbp-author-link {
	display: -ms-inline-flexbox;
	display: inline-flex;
}

body.olympus-theme .bbp-reply-header a.bbp-reply-permalink {
	color: var(--primary-accent-color);
}

body.olympus-theme #bbpress-forums p.bbp-topic-meta img.avatar,
body.olympus-theme #bbpress-forums ul.bbp-reply-revision-log img.avatar,
body.olympus-theme #bbpress-forums ul.bbp-topic-revision-log img.avatar,
body.olympus-theme #bbpress-forums div.bbp-template-notice img.avatar,
body.olympus-theme #bbpress-forums .widget_display_topics img.avatar,
body.olympus-theme #bbpress-forums .widget_display_replies img.avatar {
	margin-bottom: 0;
	border: none;
	border-radius: 100%;
}

body.olympus-theme #bbpress-forums li.bbp-header {
	background-color: var(--secondary-accent-color);
	color: var(--white-color);
	border-top: none;
}

body.olympus-theme #bbpress-forums .bbp-body li.bbp-forum-topic-count,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-forum-reply-count,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-topic-voice-count,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-topic-reply-count {
	font-size: .875rem;
	color: var(--heading-font-color);
	margin-bottom: .5rem;
	font-family: inherit;
	font-weight: 700;
}

body.olympus-theme #bbpress-forums .bbp-body li.bbp-forum-freshness > a,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-topic-freshness > a {
	font-size: 11px;
	font-weight: 400;
	color: var(--body-font-color);
}

body.olympus-theme #bbpress-forums ul.bbp-forums,
body.olympus-theme #bbpress-forums ul.bbp-topics,
body.olympus-theme #bbpress-forums ul.bbp-replies {
	border-radius: 5px;
	overflow: visible;
	border-color: var(--ol-border-color);
}

body.olympus-theme #bbpress-forums li.bbp-header,
body.olympus-theme li.bbp-body div.hentry {
	padding: 15px 25px;
}

body.olympus-theme #bbpress-forums li .bbp-forum-title,
body.olympus-theme #bbpress-forums li .bbp-topic-title a,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-forum-freshness .bbp-author-name,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-topic-freshness .bbp-author-name,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-topic-freshness p.bbp-topic-meta a,
body.olympus-theme div.bbp-breadcrumb a,
body.olympus-theme #bbpress-forums div.bbp-reply-author a.bbp-author-name {
	font-size: .875rem;
	color: var(--heading-font-color);
	font-family: inherit;
	font-weight: 700;
	margin: 0;
}

body.olympus-theme #bbpress-forums li .bbp-forum-title:hover,
body.olympus-theme #bbpress-forums li .bbp-topic-title a:hover,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-forum-freshness .bbp-author-name:hover,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-topic-freshness .bbp-author-name:hover,
body.olympus-theme #bbpress-forums .bbp-body li.bbp-topic-freshness p.bbp-topic-meta a:hover,
body.olympus-theme div.bbp-breadcrumb a:hover,
body.olympus-theme #bbpress-forums div.bbp-reply-author a.bbp-author-name:hover {
	color: var(--primary-accent-color);
}

body.olympus-theme #bbpress-forums .bbp-forum-info .bbp-forum-content {
	font-size: 13px;
	margin: 0;
}

body.olympus-theme #bbpress-forums li.bbp-body ul.forum,
body.olympus-theme #bbpress-forums li.bbp-body ul.topic {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: center;
	align-items: center;
	padding: 35px 25px;
}

body.olympus-theme #bbpress-forums li.bbp-footer {
	background-color: transparent;
	border-color: var(--ol-border-color);
}

body.olympus-theme div.bbp-template-notice,
body.olympus-theme div.indicator-hint {
	color: var(--body-font-color);
}

body.olympus-theme #bbpress-forums div.bbp-the-content-wrapper input {
	width: auto;
}

body.olympus-theme #bbpress-forums fieldset.bbp-form {
	padding: 24px 23px 23px;
}

body.olympus-theme #bbpress-forums fieldset.bbp-form input[type="checkbox"] {
	width: auto;
	display: inline-block;
	margin-right: 5px;
}

body.olympus-theme #bbpress-forums fieldset.bbp-form legend {
	font-size: .875rem;
	padding: 23px 25px 18px;
	border-radius: 5px;
	border: 1px solid var(--ol-border-color);
	margin-bottom: 0;
}

body.olympus-theme .bbp-submit-wrapper {
	float: left;
}

body.olympus-theme .bbp-submit-wrapper button {
	background-color: var(--secondary-accent-color);
	color: var(--white-color);
	display: inline-block;
	text-align: center;
	vertical-align: middle;
	user-select: none;
	border: 1px solid transparent;
	padding: .375rem .75rem;
	font-size: .812rem;
	line-height: 1.5;
	border-radius: .25rem;
	transition: all .15s ease-in-out;
}

body.olympus-theme #bbpress-forums .bbp-forums-list li {
	display: block;
}

body.olympus-theme #bbpress-forums .bbp-forums-list li a {
	font-size: 12px;
	padding: 5px 13px;
	display: inline-block;
	margin-bottom: 0;
	color: var(--heading-font-color);
	font-family: inherit;
	font-weight: 700;
}

body.olympus-theme #bbpress-forums .bbp-forums-list li a:hover {
	color: var(--primary-accent-color);
}

body.olympus-theme #bbpress-forums .bbp-forums-list {
	margin-bottom: 0;
	padding: 5px 0;
	margin-top: 15px;
	display: inline-block;
	border-color: var(--ol-border-color);
}

body.olympus-theme #bbpress-forums div.bbp-reply-author img.avatar {
	border-radius: 100%;
	overflow: hidden;
	width: 80px;
	height: 80px;
	margin-bottom: 20px;
}

body.olympus-theme #bbpress-forums div.bbp-reply-header {
	padding: 10px 23px;
	background-color: #fafbfd;
	font-size: 11px;
	border-top: 1px solid var(--ol-border-color);
	border-bottom: 1px solid var(--ol-border-color);
}

body.olympus-theme #bbpress-forums div.bbp-topic-content a,
body.olympus-theme #bbpress-forums div.bbp-reply-content a {
	display: block;
}

body.olympus-theme #bbpress-forums div.odd,
body.olympus-theme #bbpress-forums ul.odd {
	background-color: var(--white-color);
}

body.olympus-theme #bbpress-forums .bbp-body div.bbp-reply-content {
	padding: 12px;
}

body.olympus-theme span.bbp-admin-links a {
	font-size: 11px;
	font-weight: normal;
	text-transform: none;
	color: var(--primary-accent-color);
}

body.olympus-theme #bbpress-forums li.bbp-footer .bbp-reply-author,
body.olympus-theme #bbpress-forums li.bbp-footer .bbp-reply-content {
	color: var(--white-color);
}

body.olympus-theme #bbpress-forums {
	background-color: var(--white-color);
	border-radius: 5px;
	border: 1px solid var(--ol-border-color);
	margin-bottom: 15px;
	padding: 24px 23px 23px;
}

body.olympus-theme #bbpress-forums .entry-title {
	font-size: 1.4rem;
	font-weight: 500;
}

body.olympus-theme #bbpress-forums li.bbp-topic-freshness {
	display: flex;
	flex-direction: column-reverse;
}

body.olympus-theme #bbpress-forums li.bbp-topic-freshness p.bbp-topic-meta a {
	display: block;
	font-weight: 700;
	color: var(--heading-font-color);
	margin-bottom: 5px;
}

body.olympus-theme #bbpress-forums li.bbp-topic-freshness p.bbp-topic-meta a:hover {
	color: var(--primary-accent-color);
}

body.olympus-theme #bbpress-forums li.bbp-topic-freshness p.bbp-topic-meta a img.avatar {
	width: 26px;
	height: 26px;
}

body.olympus-theme #bbpress-forums p.bbp-topic-meta {
	margin: 0;
}

body.olympus-theme #bbpress-forums div.bbp-topic-tags {
	float: none;
	text-align: right;
}

body.olympus-theme #bbpress-forums div.bbp-topic-tags p {
	margin-bottom: 20px;
}

body.olympus-theme #bbpress-forums li.bbp-body ul.topic,
body.olympus-theme #bbpress-forums .bbp-user-section {
	overflow: visible;
}

body.olympus-theme div.bbp-template-notice p a {
	font-weight: 700;
	color: var(--heading-font-color);
}

body.olympus-theme div.bbp-template-notice p a:hover {
	color: var(--primary-accent-color);
}

body.olympus-theme .activity-list li.bbp_topic_create .activity-content .activity-inner,
body.olympus-theme .activity-list li.bbp_reply_create .activity-content .activity-inner {
	border-left: 2px solid var(--ol-border-color);
}

body.olympus-theme .bbp-pagination {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: center;
	align-items: center;
	-ms-flex-pack: justify;
	justify-content: space-between;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
}

body.olympus-theme .bbp-pagination .bbp-pagination-links .page-numbers {
	display: block;
	padding: .9rem 1.2rem;
	line-height: 1.25;
	color: var(--heading-font-color);
	background-color: var(--white-color);
	border: 1px solid var(--ol-border-color);
	margin: 10px 4px;
	border-radius: 5px;
}

body.olympus-theme .bbp-pagination .bbp-pagination-links .page-numbers.current {
	color: var(--white-color);
	pointer-events: none;
	cursor: auto;
	background-color: var(--primary-accent-color);
	border-color: transparent;
}

body.olympus-theme .bbp-pagination .bbp-pagination-links .page-numbers:hover {
	color: var(--white-color);
	text-decoration: none;
	background-color: var(--primary-accent-color);
	border-color: #dee2e6;
	font-weight: 400;
}

body.olympus-theme #bbpress-forums div.bbp-search-form {
	margin-bottom: 20px;
}

body.olympus-theme input.button {
	width: auto;
}

body.olympus-theme input[type="checkbox"] {
	width: auto;
	display: inline-block;
	margin-right: 8px;
}

body.olympus-theme input[type="button"] {
	border: 1px solid #ccc;
	color: #767676;
	font-size: small;
	cursor: pointer;
	outline: 0;
	padding: 4px 10px;
	text-align: center;
	text-decoration: none;
}

body.olympus-theme #bbpress-forums fieldset.bbp-form label {
	color: #888da8;
	font-size: 13px;
	font-weight: 600;
	margin-bottom: 15px;
}

body.olympus-theme #bbpress-forums fieldset.bbp-form p {
	margin-bottom: 20px;
}

body.olympus-theme #bbpress-forums ul.bbp-threaded-replies {
	margin-left: 0;
}

body.olympus-theme #bbp-topic-search-form div {
	display: -ms-flexbox;
	display: flex;
}

body.olympus-theme #bbp-topic-search-form div input {
	width: auto;
}

/*================= Widgets For BBP  ============*/
.widget_display_search {
	margin-bottom: 35px;
	border: 1px solid var(--ol-border-color);
}

.widget_display_search .w-search {
	padding: 24px 23px 23px;
}

.widget_display_search .w-search input {
	border: 1px solid var(--ol-border-color);
}

.widget_display_forums {
	margin-bottom: 35px;
	border: 1px solid var(--ol-border-color);
}

.widget_display_forums ul li {
	position: relative;
	display: block;
	padding: 12px 25px;
	margin-bottom: -1px;
	border-bottom: 1px solid var(--ol-border-color);
	border-radius: 0;
}

.widget_display_forums ul li:last-child {
	border-bottom: none;
}

.widget_display_forums ul li a {
	color: var(--body-font-color);
	font-weight: 700;
	font-size: 12px;
}

.widget_display_forums ul li a:hover {
	color: var(--primary-accent-color);
}

.bbp_widget_login {
	margin-bottom: 35px;
	border: 1px solid var(--ol-border-color);
}

.bbp_widget_login .bbp-logged-in {
	padding: 24px 23px 23px;
}

.bbp_widget_login .bbp-logged-in img.avatar {
	border-radius: 100%;
}

.bbp_widget_login .bbp-logged-in h4 {
	margin-bottom: 0;
	font-size: 12px;
}

.bbp_widget_login .bbp-logged-in h4 a {
	display: block;
}

.bbp_widget_login .bbp-logged-in a {
	color: var(--secondary-accent-color);
	font-weight: 700;
}

.bbp_widget_login .bbp-logged-in a:hover {
	color: var(--primary-accent-color);
}

.bbp_widget_login .bbp-logged-in a.logout-link {
	padding: 3px 10px;
	background-color: var(--primary-accent-color);
	color: var(--white-color);
	font-size: 10px;
	border-radius: 3px;
}

.bbp_widget_login > form {
	padding: 24px 23px 23px;
}

.bbp_widget_login > form input[type="checkbox"] {
	width: auto;
	display: inline-block;
}

.bbp_widget_login > form label {
	margin-bottom: 10px;
}

.bbp_widget_login .bbp-login-form .bbp-username,
.bbp_widget_login .bbp-login-form .bbp-submit-wrapper {
	margin-top: 0;
}

.olympus-theme-sidebar .widget_display_replies,
.olympus-theme-sidebar .widget_display_topics {
	margin-bottom: 35px;
	border: 1px solid var(--ol-border-color);
}

.olympus-theme-sidebar .widget_display_replies ul,
.olympus-theme-sidebar .widget_display_topics ul {
	padding: 0;
}

.olympus-theme-sidebar .widget_display_replies ul img.avatar,
.olympus-theme-sidebar .widget_display_topics ul img.avatar {
	border-radius: 100%;
	overflow: hidden;
}

.olympus-theme-sidebar .widget_display_replies ul .bbp-author-name,
.olympus-theme-sidebar .widget_display_replies ul .bbp-reply-topic-title,
.olympus-theme-sidebar .widget_display_replies ul .bbp-forum-title,
.olympus-theme-sidebar .widget_display_topics ul .bbp-author-name,
.olympus-theme-sidebar .widget_display_topics ul .bbp-reply-topic-title,
.olympus-theme-sidebar .widget_display_topics ul .bbp-forum-title {
	color: var(--body-font-color);
	font-weight: 700;
	font-size: 12px;
}

.olympus-theme-sidebar .widget_display_replies ul .bbp-author-name:hover,
.olympus-theme-sidebar .widget_display_replies ul .bbp-reply-topic-title:hover,
.olympus-theme-sidebar .widget_display_replies ul .bbp-forum-title:hover,
.olympus-theme-sidebar .widget_display_topics ul .bbp-author-name:hover,
.olympus-theme-sidebar .widget_display_topics ul .bbp-reply-topic-title:hover,
.olympus-theme-sidebar .widget_display_topics ul .bbp-forum-title:hover {
	color: var(--primary-accent-color);
}

.olympus-theme-sidebar .widget_display_replies ul li,
.olympus-theme-sidebar .widget_display_topics ul li {
	position: relative;
	display: block;
	margin-bottom: -1px;
	border-bottom: 1px solid var(--ol-border-color);
	border-radius: 0;
	min-height: 70px;
}

.olympus-theme-sidebar .widget_display_replies ul li:last-child,
.olympus-theme-sidebar .widget_display_topics ul li:last-child {
	border-bottom: none;
}

.olympus-theme-sidebar .widget_display_replies ul li:before,
.olympus-theme-sidebar .widget_display_topics ul li:before {
	top: 50%;
	transform: translateY(-50%);
}

.widget_display_stats {
	margin-bottom: 35px;
	border: 1px solid var(--ol-border-color);
}

.widget_display_stats dl dt {
	padding: 10px 23px 0 23px;
	color: var(--body-font-color);
	font-size: 12px;
}

.widget_display_stats dl dd {
	padding: 0 23px 10px 23px;
	border-bottom: 1px solid var(--ol-border-color);
	font-size: 10px;
}

.widget_display_stats dl dd:last-child {
	border-bottom: none;
}

.widget_display_views {
	margin-bottom: 35px;
	border: 1px solid var(--ol-border-color);
}

.widget_display_views ul {
	padding-left: 0;
}

.widget_display_views li {
	position: relative;
	display: block;
	padding: 12px 25px;
	margin-bottom: -1px;
	border-bottom: 1px solid var(--ol-border-color);
	border-radius: 0;
}

.widget_display_views li:last-child {
	border-bottom: none;
}

.widget_display_views li a {
	color: var(--body-font-color);
	font-weight: 700;
	font-size: 12px;
}

.widget_display_views li a:hover {
	color: var(--primary-accent-color);
}

/*================= Responsive Mode ============*/
@media (max-width: 1024px) {
	body.olympus-theme #bbpress-forums li.bbp-body ul.forum, body.olympus-theme #bbpress-forums li.bbp-body ul.topic {
		display: -ms-flexbox;
		display: flex;
		-ms-flex-align: center;
		align-items: center;
		padding: 15px;
	}

	body.olympus-theme #bbpress-forums li.bbp-header,
	body.olympus-theme li.bbp-body div.hentry {
		padding: 15px;
	}
}

@media (max-width: 768px) {
	body.olympus-theme .bbp-pagination .bbp-pagination-links .page-numbers {
		padding: .35rem .68rem;
	}
}

@media (max-width: 560px) {
	.forum-item {
		text-align: center;
	}

	.forum-item img {
		float: none;
		margin-right: 0;
		margin-bottom: 15px;
	}

	.forums-table thead th,
	.forums-table td {
		padding: 5px;
	}
}

@media (max-width: 540px) {
	body.olympus-theme #bbpress-forums li.bbp-body ul.forum,
	body.olympus-theme #bbpress-forums li.bbp-body ul.topic {
		-ms-flex-direction: column;
		flex-direction: column;
	}

	li.bbp-forum-info,
	li.bbp-topic-title {
		text-align: center;
		width: 100%;
	}

	li.bbp-forum-topic-count,
	li.bbp-forum-reply-count,
	li.bbp-topic-voice-count,
	li.bbp-topic-reply-count {
		width: 100%;
	}

	li.bbp-forum-freshness,
	li.bbp-topic-freshness {
		width: 100%;
	}

	body.olympus-theme #bbpress-forums div.bbp-reply-header {
		padding: 10px;
	}
}

@media (max-width: 480px) {
	body.olympus-theme #bbpress-forums div.bbp-reply-author img.avatar {
		width: 40px;
		height: 40px;
	}

	body.olympus-theme #bbpress-forums .bbp-body div.bbp-reply-author {
		padding-left: 50px;
		min-height: unset;
		margin: -15px 10px 20px;
	}

	body.olympus-theme #bbpress-forums .bbp-body div.bbp-reply-content {
		padding: 0;
		margin: 0 10px;
	}
}

@media (max-width: 320px) {
	#bbpress-forums li.bbp-header li.bbp-forum-info,
	#bbpress-forums li.bbp-body li.bbp-forum-info,
	#bbpress-forums li.bbp-header li.bbp-topic-title,
	#bbpress-forums li.bbp-body li.bbp-topic-title {
		width: auto;
	}

	#bbpress-forums li.bbp-header li.bbp-forum-freshness,
	#bbpress-forums li.bbp-body li.bbp-forum-freshness,
	#bbpress-forums li.bbp-header li.bbp-topic-freshness,
	#bbpress-forums li.bbp-body li.bbp-topic-freshness {
		width: auto;
	}
}
